#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xbbd5e4fe, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xc5ec5510, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xe20dd524, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x2dc779fc, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xb688eb95, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xcaadbdeb, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xa71088b0, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xe6704120, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xbf8eaa50, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x38649409, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x8edac50a, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x4b46e3ee, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x5918c6f5, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x8d5b94b9, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xefe8c2c0, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x3ecb8020, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xe5253566, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x31f1f01f, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x4987dfd6, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x21cf872d, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xc02c0280, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xbf659d66, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xd3fa59a2, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x141958cf, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xdbfb3ed1, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x0b16d265, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x4da6a1e5, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xc618e903, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x62449c4a, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xea17b8d8, "");
SYMBOL_CRC(drm_dp_aux_init, 0xc2a167ae, "");
SYMBOL_CRC(drm_dp_aux_register, 0x527d00e7, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x1457c238, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xd45bc28d, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xdd94dd96, "");
SYMBOL_CRC(drm_dp_read_desc, 0xb58753d9, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xb7cecdd0, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xd914565e, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x0df981d6, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x2bee99e8, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x677f50d0, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x04151bbe, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x4ce5f8ff, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xfc2e671c, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xea137286, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x08350124, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x402de5f7, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x3bd3f1c0, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x7598e9b9, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x3ffd331e, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x45dde3ec, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x92679739, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xc7431ac4, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x4fc74663, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xe7aa5305, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x78b3a988, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x0bda85c9, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x43f0abd5, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x451de6bf, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x0ee49e0d, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x6060716b, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xd1885c52, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x14e5b880, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xc5117631, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xbbc1e9de, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xe23c74bd, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x09d01afb, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x1a608d5b, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xa62ddc8d, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xc839d843, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xf675cd85, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x076e9a32, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x7faa9b4c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x626a379f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xf7242da5, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x9c2e4ceb, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x4371b501, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x73b1e606, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xc8ee80cd, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x32324441, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x54ebb936, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x4485b66c, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x37cad49f, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x837a58a8, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xa5b6b8f7, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x52dc6a68, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x8450ecda, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xaba59378, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x2ec18ef0, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x7928f886, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xeab87dd1, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x25cbfb6f, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x4585847c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xcddb429e, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x404fbb5a, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xa17d7291, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xc6929a43, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x3ab6431a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x296580fb, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x26709031, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xb6b07778, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x95a44ce8, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xe172d22f, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xdcb8dccd, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x78a8c3d8, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xf115784f, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x4a306f59, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8988977, "drm_crtc_add_crc_entry" },
	{ 0x37c8c5c, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5f4f113a, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xfc48ee41, "drm_connector_register" },
	{ 0x3e0a49d4, "cec_transmit_attempt_done_ts" },
	{ 0xd7e1f24b, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x9d293d23, "drm_atomic_get_private_obj_state" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x4056a9db, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x957f8ff2, "class_destroy" },
	{ 0x98c0e312, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4b856854, "cec_s_conn_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x8dbc5b46, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x79aed983, "drm_mode_object_put" },
	{ 0xb60ae2af, "dev_driver_string" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x94a85d05, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfaef3c94, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xff8bc259, "drm_dev_printk" },
	{ 0x12a9cd9d, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd0374de8, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xaa6c0dd8, "drm_crtc_wait_one_vblank" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x7791fdc2, "drm_modeset_lock" },
	{ 0x13d4b7d4, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe80f9695, "_dev_err" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2928811d, "device_create" },
	{ 0xf9c0a18f, "class_create" },
	{ 0x4be93260, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcb2f557c, "fixed_size_llseek" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xb2948cc, "drm_crtc_commit_wait" },
	{ 0x2a191392, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x1d873e94, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xab685185, "drm_atomic_get_old_private_obj_state" },
	{ 0x881cc9b2, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe74ddcd1, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0x9a556b7, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x625eba28, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd8fd2381, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ac101ac, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xa7e9a894, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7917218, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x813b93b4, "_copy_from_iter" },
	{ 0xde90501a, "i2c_transfer" },
	{ 0xdd7c8c6b, "drm_display_mode_from_cea_vic" },
	{ 0xe8dd4324, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x605380e0, "cec_fill_conn_info_from_drm" },
	{ 0xe12ba9ba, "kmalloc_trace" },
	{ 0x928362e8, "cec_received_msg_ts" },
	{ 0x20e14473, "param_ops_int" },
	{ 0x21d4294e, "iov_iter_revert" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x4dadb6bf, "kmalloc_caches" },
	{ 0x16a7b5f5, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0x12a8b21c, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d206d69, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "6725E5D13D7B37C0CFE5B62");
MODULE_INFO(rhelversion, "9.6");
