#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x835cb3dc, "");
SYMBOL_CRC(jbd2_journal_start, 0x9e450d42, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x20795afa, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xfbe42d90, "");
SYMBOL_CRC(jbd2__journal_restart, 0x27d8809b, "");
SYMBOL_CRC(jbd2_journal_restart, 0x08ece3ab, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x4a5ab9a0, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x9b61aa5c, "");
SYMBOL_CRC(jbd2_journal_extend, 0x64c43c75, "");
SYMBOL_CRC(jbd2_journal_stop, 0x8c02b1a0, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x262db1ee, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xa303f6d0, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x33ed1267, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xb20282a8, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x7a8586d4, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x00a14c7e, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x5e947d74, "");
SYMBOL_CRC(jbd2_journal_forget, 0x0051d330, "");
SYMBOL_CRC(jbd2_journal_flush, 0xadce7e37, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x9f597aaf, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xa75c72f0, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x567992bb, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xd3125dca, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xbe3e2264, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x6c83ef57, "");
SYMBOL_CRC(jbd2_journal_load, 0xae754c21, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x83f82953, "");
SYMBOL_CRC(jbd2_journal_abort, 0xe784e6b0, "");
SYMBOL_CRC(jbd2_journal_errno, 0x1b7fab05, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x715519ed, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x8269f74c, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x2a4b7c7f, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x35c8f5f4, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x7c90219c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xa3741c80, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xafc4cf9c, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x9a1443e5, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x840e2e68, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xceaf633d, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x6ad10817, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x79b6f60d, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x40e6ca33, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd0ed19c7, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x23ca92a7, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x154d37fd, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x6a101b0d, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xca854257, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x60f4f263, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x3dbf513e, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x0bc753a7, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x640a5544, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x355c3e2f, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x375cfe74, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x048acfd1, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xe1f753e0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x7c6b3860, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x3d747b8c, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x372b1fea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x87a2030c, "bh_uptodate_or_lock" },
	{ 0x30d1bdba, "vmemmap" },
	{ 0xeef97201, "blk_start_plug" },
	{ 0xf8f5ee21, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x12010431, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3035dffc, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x807cd87e, "trace_raw_output_prep" },
	{ 0xf7808f11, "bpf_trace_run6" },
	{ 0x7e66de24, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x27b543c1, "__find_get_block" },
	{ 0x1a65696f, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x28cab6d4, "trace_event_printf" },
	{ 0xaba75eab, "__bforget" },
	{ 0xffd1dbd, "write_dirty_buffer" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x35460b1b, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x47e516e0, "iput" },
	{ 0x85bd7fa4, "seq_lseek" },
	{ 0xcc40b1f0, "blockdev_superblock" },
	{ 0x44b44aa0, "proc_create_data" },
	{ 0x9725fa00, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x6f3e2ddb, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x293f69c7, "kmem_cache_create" },
	{ 0x50ccc1f5, "bpf_trace_run8" },
	{ 0xaeaaf5e6, "submit_bh" },
	{ 0xb4b503b2, "alloc_buffer_head" },
	{ 0x3883ca93, "wake_up_process" },
	{ 0x2a8ef72b, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xefe24c4a, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xed362c23, "trace_event_ignore_this_pid" },
	{ 0x49004aac, "try_to_free_buffers" },
	{ 0xff465f32, "sync_blockdev" },
	{ 0x3ebc2570, "free_buffer_head" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xede048a8, "kmem_cache_alloc" },
	{ 0x7b68b805, "blk_finish_plug" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e374d49, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x35e491df, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc2a113a, "add_timer" },
	{ 0x961ed357, "__bh_read_batch" },
	{ 0x178bf0a8, "bpf_trace_run5" },
	{ 0x687e23fa, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1b0776f0, "kmem_cache_free" },
	{ 0x6af9ee80, "__bh_read" },
	{ 0xa88815dd, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x895af4de, "blkdev_issue_zeroout" },
	{ 0x6720c7a9, "filemap_fdatawait_range_keep_errors" },
	{ 0x996ee51e, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x27f75788, "freezing_slow_path" },
	{ 0x97e9803e, "bpf_trace_run1" },
	{ 0xcf2d4ceb, "proc_mkdir" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x3e82cc27, "kthread_create_on_node" },
	{ 0xf054fb11, "bpf_trace_run3" },
	{ 0x9db930aa, "seq_read" },
	{ 0xbf6aa5e5, "unlock_buffer" },
	{ 0x8b2cc10a, "__getblk_gfp" },
	{ 0xb2d023da, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x637c735a, "__folio_put" },
	{ 0x369841b2, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7917218, "seq_printf" },
	{ 0xc87b642d, "__lock_buffer" },
	{ 0xb15b7058, "truncate_inode_pages_range" },
	{ 0xb5a847cd, "blkdev_issue_flush" },
	{ 0xa17b632c, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1f7542e1, "end_buffer_write_sync" },
	{ 0x930311f7, "seq_open" },
	{ 0xe12ba9ba, "kmalloc_trace" },
	{ 0x505f597b, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x25fe4a3d, "schedule_hrtimeout" },
	{ 0x7a464ae7, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x4dadb6bf, "kmalloc_caches" },
	{ 0x99dca66, "kmem_cache_destroy" },
	{ 0x64b31aef, "blkdev_issue_discard" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1DCCFC7D73F56B59610FF39");
MODULE_INFO(rhelversion, "9.6");
