#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x454a4519, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3fb70a39, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x70cfcaf4, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x47041753, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xff16b089, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x21a96680, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xdea40054, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x30ed2464, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x674c0b75, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x5f4392e9, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xfe06b13f, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x25093f27, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xad91e6fe, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x1cc83b14, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xb3b706d0, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x1bb01216, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xfdd7357b, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x2333d1a5, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xd86e1eb4, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x4287b85e, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xec550672, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60f5e910, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3b37e403, "icmpv6_ndo_send" },
	{ 0xc10d9a82, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaa8abbf4, "alloc_netdev_mqs" },
	{ 0x3575a4b0, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x582bcfec, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9805972d, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8bd154b7, "ip_route_output_flow" },
	{ 0xfd16d3f5, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0x44c5282f, "__dev_get_by_index" },
	{ 0x65e572cf, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe1d6be87, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3ae42e7e, "netdev_state_change" },
	{ 0xd133136a, "ns_capable" },
	{ 0xd1d01caa, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfec427c, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x44a5165f, "skb_copy_bits" },
	{ 0x7918b6d9, "sk_skb_reason_drop" },
	{ 0xde932f42, "pskb_expand_head" },
	{ 0xda99ce4f, "__skb_get_hash_net" },
	{ 0xc6db6653, "dst_cache_get_ip4" },
	{ 0x5c454b82, "dst_cache_set_ip4" },
	{ 0xfdbab7d1, "iptunnel_xmit" },
	{ 0x43e96d5d, "__pskb_pull_tail" },
	{ 0x49e75c9c, "skb_scrub_packet" },
	{ 0xbaf6907, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9591c215, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x72f146eb, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3BF1C256C51086969FFD946");
MODULE_INFO(rhelversion, "9.6");
