#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x109cd04d, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x71c810e0, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb02ed9f0, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xd2d95df3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x74b99b41, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x6cc57b44, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x6945bd77, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xc430818d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x0857d8de, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x7dde9687, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xab365e46, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xa4b30258, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x56d87671, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x970cc8df, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x9c12dc5e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x3d04c2e6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x241cc110, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xa1469844, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x291a846c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xb5f68597, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x2b007be4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xe786a65c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xff056d92, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x19419e84, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x3dbf5f3c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x0a640d1b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xc0304d4c, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x58d2dc4c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x3527b76f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x413b3294, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xe8338fae, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xd1073015, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xd92775b7, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x29dfe9ce, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x8100ab74, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x8541f779, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10a90fac, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfdffce2, "vsock_insert_connected" },
	{ 0x42806a82, "skb_put" },
	{ 0xeee4bfa0, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x807cd87e, "trace_raw_output_prep" },
	{ 0xf06bddd6, "vsock_remove_sock" },
	{ 0x28cab6d4, "trace_event_printf" },
	{ 0x9aa1fbd2, "vsock_deliver_tap" },
	{ 0x35460b1b, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x6f3e2ddb, "event_triggers_call" },
	{ 0x6753a1d8, "sk_error_report" },
	{ 0x2a8ef72b, "trace_event_buffer_commit" },
	{ 0x9616aa3, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xed362c23, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x4776cd9, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x35e491df, "perf_trace_run_bpf_submit" },
	{ 0x7918b6d9, "sk_skb_reason_drop" },
	{ 0xac79b40b, "sk_free" },
	{ 0xa88815dd, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x403fdb9c, "__skb_recv_datagram" },
	{ 0x79809f81, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d06118f, "vsock_stream_has_data" },
	{ 0xd10c061c, "skb_copy_datagram_iter" },
	{ 0x669777e2, "bpf_trace_run9" },
	{ 0x6ef25ee5, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x979bf9d5, "sock_efree" },
	{ 0x1846a622, "bpf_trace_run10" },
	{ 0x4ad490fb, "vsock_core_get_transport" },
	{ 0x65e2ecaf, "__zerocopy_sg_from_iter" },
	{ 0xa64c710b, "vsock_stream_has_space" },
	{ 0x537bccb4, "skb_set_owner_w" },
	{ 0xb2d023da, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x813b93b4, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x20fc8a8, "msg_zerocopy_realloc" },
	{ 0xe12ba9ba, "kmalloc_trace" },
	{ 0xc4887a39, "vsock_create_connected" },
	{ 0x4c52e4b9, "vsock_assign_transport" },
	{ 0x21d4294e, "iov_iter_revert" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x192c38f8, "iov_iter_npages" },
	{ 0x4dadb6bf, "kmalloc_caches" },
	{ 0xf1f2cf34, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4de73b0, "vsock_data_ready" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "2B7566CCC87CE1EBB7BB88E");
MODULE_INFO(rhelversion, "9.6");
