#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x8f37fbdb, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x1dd6b399, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x43830921, "");
SYMBOL_CRC(rdma_res_to_id, 0xb2217336, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x787b0663, "");
SYMBOL_CRC(rdma_create_user_id, 0x30442c17, "");
SYMBOL_CRC(rdma_create_qp, 0xee872a51, "");
SYMBOL_CRC(rdma_destroy_qp, 0xb216097c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x33c9092a, "");
SYMBOL_CRC(rdma_destroy_id, 0x9afd170c, "");
SYMBOL_CRC(rdma_get_service_id, 0xd0e67b34, "");
SYMBOL_CRC(rdma_read_gids, 0xd50c7ea8, "");
SYMBOL_CRC(rdma_set_service_type, 0x435c9111, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xbec0c1e7, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xa1de4bf7, "");
SYMBOL_CRC(rdma_set_ib_path, 0xc6f87a12, "");
SYMBOL_CRC(rdma_resolve_route, 0x0c8fd0a1, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xc689a96d, "");
SYMBOL_CRC(rdma_set_afonly, 0x07b91446, "");
SYMBOL_CRC(rdma_listen, 0xad3200d2, "");
SYMBOL_CRC(rdma_resolve_addr, 0xbe79ddd6, "");
SYMBOL_CRC(rdma_bind_addr, 0xdb177585, "");
SYMBOL_CRC(rdma_connect_locked, 0xf38f8dfd, "");
SYMBOL_CRC(rdma_connect, 0x8e438c8f, "");
SYMBOL_CRC(rdma_connect_ece, 0xebc7ddbf, "");
SYMBOL_CRC(rdma_accept, 0xbe5db403, "");
SYMBOL_CRC(rdma_accept_ece, 0x32c2a611, "");
SYMBOL_CRC(rdma_lock_handler, 0x1a73e30e, "");
SYMBOL_CRC(rdma_unlock_handler, 0x8013a167, "");
SYMBOL_CRC(rdma_notify, 0x15db0564, "");
SYMBOL_CRC(rdma_reject, 0xbe0edb8d, "");
SYMBOL_CRC(rdma_disconnect, 0x5dfb7836, "");
SYMBOL_CRC(rdma_join_multicast, 0xc32374e1, "");
SYMBOL_CRC(rdma_leave_multicast, 0xde703e4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8781bc50, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x85fc8215, "iw_create_cm_id" },
	{ 0x16a7b666, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfba2c402, "ib_unregister_client" },
	{ 0x4da5a086, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb4bd1965, "ib_send_cm_sidr_rep" },
	{ 0xf8f5ee21, "bpf_trace_run4" },
	{ 0x87a89ee0, "config_group_init" },
	{ 0x2efbc940, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x90881729, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x807cd87e, "trace_raw_output_prep" },
	{ 0xcc1a27e8, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x28cab6d4, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x35460b1b, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d66a146, "rdma_query_gid" },
	{ 0x99f67152, "rt6_lookup" },
	{ 0x7704265, "rdma_translate_ip" },
	{ 0x9725fa00, "bpf_trace_run2" },
	{ 0x6f3e2ddb, "event_triggers_call" },
	{ 0x3d88bcd4, "rdma_dev_access_netns" },
	{ 0x7e8dcce9, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0xd5d2b387, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x19e2a5e2, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5efe6f67, "register_pernet_subsys" },
	{ 0x2a8ef72b, "trace_event_buffer_commit" },
	{ 0x88ab9880, "ip_mc_inc_group" },
	{ 0x37cbb4d1, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xb9f125b5, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1973066b, "iw_cm_connect" },
	{ 0x44a1c6e9, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x46169128, "rdma_addr_cancel" },
	{ 0xed362c23, "trace_event_ignore_this_pid" },
	{ 0x27532801, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x720ce2dd, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x56b02392, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xcfc9be1e, "ib_sa_path_rec_get" },
	{ 0xb853099, "ib_create_cm_id" },
	{ 0x76e893d4, "__ip_mc_dec_group" },
	{ 0x88aa016c, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x35e491df, "perf_trace_run_bpf_submit" },
	{ 0xbbe6cae0, "ib_init_ah_from_mcmember" },
	{ 0x436d9ce0, "rdma_destroy_ah_attr" },
	{ 0x4cee80bc, "ib_set_client_data" },
	{ 0xfec427c, "init_net" },
	{ 0xceeea098, "ib_get_cached_pkey" },
	{ 0x1c029faf, "configfs_register_subsystem" },
	{ 0x80e610a0, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x7be937b9, "rdma_put_gid_attr" },
	{ 0xf8b598c8, "config_group_init_type_name" },
	{ 0x288e9fca, "dev_get_by_index" },
	{ 0x7b7a9b2f, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x12c28ac4, "ib_send_cm_rep" },
	{ 0xa88815dd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x546cb80e, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x97e9803e, "bpf_trace_run1" },
	{ 0x76c7f7ea, "ib_destroy_qp_user" },
	{ 0x746d73b2, "unregister_pernet_subsys" },
	{ 0x9193fae, "ib_cm_init_qp_attr" },
	{ 0xe372e7f9, "_dev_warn" },
	{ 0x28492f04, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x2bdf39ea, "rdma_restrack_set_name" },
	{ 0x49bfda2d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x3a7af85a, "ib_get_cached_port_state" },
	{ 0xb7b640e6, "ib_send_cm_mra" },
	{ 0xe39452d1, "rdma_restrack_del" },
	{ 0x389937cd, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xf054fb11, "bpf_trace_run3" },
	{ 0x2b876d55, "__put_net" },
	{ 0xd39f9327, "rdma_restrack_parent_name" },
	{ 0x6be8dcc9, "iw_cm_accept" },
	{ 0xb2d023da, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x1a72701, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e381abf, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xfa0d713c, "iw_cm_init_qp_attr" },
	{ 0xfd16d3f5, "dst_release" },
	{ 0x9cd9772e, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc46df418, "ib_send_cm_dreq" },
	{ 0xcf28ff25, "ib_send_cm_req" },
	{ 0xc286f9db, "ib_create_qp_kernel" },
	{ 0xa0461a87, "ib_sa_join_multicast" },
	{ 0xf4c09258, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb2469d98, "rdma_get_gid_attr" },
	{ 0xe12ba9ba, "kmalloc_trace" },
	{ 0xaffc9978, "rdma_restrack_new" },
	{ 0xc796ea5d, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x96bb2551, "iw_cm_listen" },
	{ 0x9fff9ff0, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1d8d3ea7, "rdma_copy_src_l2_addr" },
	{ 0x4dadb6bf, "kmalloc_caches" },
	{ 0x24b618b4, "rdma_resolve_ip" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "AC6D96B734F44DE6F657D88");
MODULE_INFO(rhelversion, "9.6");
