#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xcf429761, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xbba607c8, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xa380c38c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x16092632, "rtnl_link_register" },
	{ 0x6b89bb36, "genl_register_family" },
	{ 0x1fa08ad5, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xefe24c4a, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1f979344, "crypto_alloc_aead" },
	{ 0x8725d965, "crypto_aead_setkey" },
	{ 0xb5da93a7, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x5c53d9a1, "skb_pull" },
	{ 0x46c8a552, "___pskb_trim" },
	{ 0xb03c0068, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x2bf87b14, "dev_mc_sync" },
	{ 0x65ef8fe9, "dev_uc_sync" },
	{ 0x4be39840, "dev_set_allmulti" },
	{ 0xb489f323, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x52feb615, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4a074d88, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc77f0ea2, "__dev_queue_xmit" },
	{ 0x9591c215, "eth_type_trans" },
	{ 0xbaf6907, "gro_cells_receive" },
	{ 0x7918b6d9, "sk_skb_reason_drop" },
	{ 0x44c5282f, "__dev_get_by_index" },
	{ 0x11626008, "skb_clone" },
	{ 0x7180ea4, "__netif_rx" },
	{ 0xeee4bfa0, "consume_skb" },
	{ 0xc1836c56, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x537663a2, "skb_to_sgvec" },
	{ 0xeb6b926c, "crypto_aead_decrypt" },
	{ 0x7fb243e3, "skb_copy" },
	{ 0x463e4b4e, "skb_push" },
	{ 0x43e96d5d, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1d6be87, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42806a82, "skb_put" },
	{ 0xa0e188c7, "crypto_aead_encrypt" },
	{ 0xab04f193, "skb_copy_expand" },
	{ 0xfd16d3f5, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x26df72a1, "skb_trim" },
	{ 0x3575a4b0, "register_netdevice" },
	{ 0xb25a15b9, "netdev_upper_dev_link" },
	{ 0xa0c0e0f7, "netdev_upper_dev_unlink" },
	{ 0x9805972d, "unregister_netdevice_queue" },
	{ 0x424f5ade, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x261bf32e, "netif_stacked_transfer_operstate" },
	{ 0x5e16e89d, "linkwatch_fire_event" },
	{ 0x4dadb6bf, "kmalloc_caches" },
	{ 0xe12ba9ba, "kmalloc_trace" },
	{ 0xca6edca9, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5d24e381, "netdev_rx_handler_unregister" },
	{ 0xd1d01caa, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5072eb92, "netif_carrier_off" },
	{ 0xcf3f2156, "dev_mc_unsync" },
	{ 0xd4fdc6b4, "dev_uc_unsync" },
	{ 0x192231ee, "dev_uc_del" },
	{ 0x8660868f, "dev_uc_add" },
	{ 0xd755391, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x27817188, "genlmsg_put" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "993E4F2A733522CEC90561D");
MODULE_INFO(rhelversion, "9.6");
