#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xebef8016, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xdd021e60, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xcf81d0ba, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xb99a0796, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x1727197b, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x4906cb35, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x67beae6e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xe5d5e8a9, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x6f0753d6, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x82052f32, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x7b97ca42, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x01608eed, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x1cf4e6e7, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xfb20e764, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x3be9ca99, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x583daca2, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x661e8211, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59d1be37, "iscsi_dbg_trace" },
	{ 0x4187b234, "dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4d838006, "crypto_ahash_digest" },
	{ 0xafc6c4c4, "iscsi_conn_setup" },
	{ 0x4f79d025, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x5c5b9e0a, "__traceiter_iscsi_dbg_tcp" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x181b9551, "iscsi_prep_data_out_pdu" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb9b85ad2, "iscsi_conn_failure" },
	{ 0xffd89a1a, "iscsi_put_task" },
	{ 0xcd809cc7, "iscsi_itt_to_ctask" },
	{ 0xe798236d, "jiffies" },
	{ 0x2a9deda3, "iscsi_get_task" },
	{ 0x3def5986, "iscsi_update_cmdsn" },
	{ 0x68b3735a, "iscsi_requeue_task" },
	{ 0x30d1bdba, "vmemmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfde56ab7, "crypto_ahash_final" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6e0a0c9f, "skb_prepare_seq_read" },
	{ 0x55fbda5, "skb_seq_read" },
	{ 0x366125ed, "skb_abort_seq_read" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x7256e9fe, "iscsi_complete_pdu" },
	{ 0xddf565e3, "iscsi_verify_itt" },
	{ 0x8f6f39db, "__iscsi_complete_pdu" },
	{ 0x20e14473, "param_ops_int" },
	{ 0x5103b38b, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.6");
